## org.eclipse.datatools.connectivity.oda.util.manifest
Class ConnectionProfileProperty

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.manifest.ConnectionProfileProperty

    public class ConnectionProfileProperty

extends java.lang.Object

The property definition that references an ODA connection profile.

Field Summary
`static java.lang.String` `PROFILE_NAME_PROP_KEY`
`static java.lang.String` `PROFILE_STORE_FILE_PATH_PROP_KEY`
`static java.lang.String` `PROFILE_STORE_FILE_PROP_KEY`
`static java.lang.String` `TRANSIENT_PROFILE_STORE_RESOLVED_PATH_PROP_KEY`

Constructor Summary
`ConnectionProfileProperty()`

Method Summary
`static boolean` `hasProfileName(java.util.Properties connProperties)` Checks whether the specified connection properties contain the property that references an external profile by name

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROFILE_NAME_PROP_KEY

    public static final java.lang.String PROFILE_NAME_PROP_KEY

See Also:
  Constant Field Values

### PROFILE_STORE_FILE_PATH_PROP_KEY

    public static final java.lang.String PROFILE_STORE_FILE_PATH_PROP_KEY

See Also:
  Constant Field Values

### TRANSIENT_PROFILE_STORE_RESOLVED_PATH_PROP_KEY

    public static final java.lang.String TRANSIENT_PROFILE_STORE_RESOLVED_PATH_PROP_KEY

See Also:
  Constant Field Values

### PROFILE_STORE_FILE_PROP_KEY

    public static final java.lang.String PROFILE_STORE_FILE_PROP_KEY

See Also:
  Constant Field Values

Constructor Detail

### ConnectionProfileProperty

    public ConnectionProfileProperty()

Method Detail

### hasProfileName

    public static boolean hasProfileName(java.util.Properties connProperties)

  Checks whether the specified connection properties contain the property that references an external profile by name

  Parameters:
    `connProperties` - data source connection properties
  Returns:
    true if the specified properties contain a non-empty value for the profile name property; false otherwise
  Since:
    3.2.2 (DTP 1.7.2)